shishi_kdc_copy_nonce(3)

NAME
shishi_kdc_copy_nonce - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdc_copy_nonce(Shishi * handle, Shishi_asn1 kdcreq, Shishi_asn1 enckdcreppart);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ to read nonce from.

Shishi_asn1 enckdcreppart
    EncKDCRepPart to set nonce in.

DESCRIPTION
Set nonce in EncKDCRepPart to value in KDC-REQ.

RETURN VALUE
Returns SHISHI_OK if successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.